Package io.strimzi.systemtest.kafkaclients.clientproperties

## Class ConsumerProperties.ConsumerPropertiesBuilder

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.clientproperties.AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<ConsumerProperties.ConsumerPropertiesBuilder>
  - - io.strimzi.systemtest.kafkaclients.clientproperties.ConsumerProperties.ConsumerPropertiesBuilder

- Enclosing class:
    ConsumerProperties

      public static class ConsumerProperties.ConsumerPropertiesBuilder
      extends AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<ConsumerProperties.ConsumerPropertiesBuilder>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConsumerPropertiesBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConsumerProperties` | `build()` |
    `ConsumerProperties.ConsumerPropertiesBuilder` | `withAutoOffsetResetConfig​(org.apache.kafka.clients.consumer.OffsetResetStrategy offsetResetConfig)` |
    `ConsumerProperties.ConsumerPropertiesBuilder` | `withBootstrapServerConfig​(String bootstrapServer)` |
    `ConsumerProperties.ConsumerPropertiesBuilder` | `withClientIdConfig​(String clientId)` |
    `ConsumerProperties.ConsumerPropertiesBuilder` | `withGroupIdConfig​(String groupIdConfig)` |
    `ConsumerProperties.ConsumerPropertiesBuilder` | `withKeyDeserializerConfig​(Class<? extends org.apache.kafka.common.serialization.Deserializer> keyDeSerializer)` |
    `ConsumerProperties.ConsumerPropertiesBuilder` | `withValueDeserializerConfig​(Class<? extends org.apache.kafka.common.serialization.Deserializer> valueDeSerializer)` |

    - ### Methods inherited from class io.strimzi.systemtest.kafkaclients.clientproperties.AbstractKafkaClientProperties.KafkaClientPropertiesBuilder

      `withCaSecretName, withClusterName, withKafkaUsername, withNamespaceName, withSaslJassConfig, withSaslJassConfigAndTls, withSaslLoginCallbackHandlerClass, withSaslMechanism, withSecurityProtocol, withSharedProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsumerPropertiesBuilder

          public ConsumerPropertiesBuilder()

  - ### Method Detail

    - #### withBootstrapServerConfig

          public ConsumerProperties.ConsumerPropertiesBuilder withBootstrapServerConfig​(String bootstrapServer)

    - #### withKeyDeserializerConfig

          public ConsumerProperties.ConsumerPropertiesBuilder withKeyDeserializerConfig​(Class<? extends org.apache.kafka.common.serialization.Deserializer> keyDeSerializer)

    - #### withValueDeserializerConfig

          public ConsumerProperties.ConsumerPropertiesBuilder withValueDeserializerConfig​(Class<? extends org.apache.kafka.common.serialization.Deserializer> valueDeSerializer)

    - #### withGroupIdConfig

          public ConsumerProperties.ConsumerPropertiesBuilder withGroupIdConfig​(String groupIdConfig)

    - #### withClientIdConfig

          public ConsumerProperties.ConsumerPropertiesBuilder withClientIdConfig​(String clientId)

    - #### withAutoOffsetResetConfig

          public ConsumerProperties.ConsumerPropertiesBuilder withAutoOffsetResetConfig​(org.apache.kafka.clients.consumer.OffsetResetStrategy offsetResetConfig)

    - #### build

          public ConsumerProperties build()